LINUX.ORG.RU

Установка Adobe AIR в Fedora 20

 , ,


0

1

Приветствую LOR.

 uname -a
Linux fedora-omny 3.16.3-200.fc20.x86_64 #1 SMP Wed Sep 17 22:34:21 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Возникла проблема при установке Adobe AIR. Во время установки руководствовался гайдом с сайта игрушки для которой сия софтина мне и требуется http://forum.dofus.com/en/4-problems-solutions/219016-how-install-dofus-64-bi... при установке adobe air командой
LD_LIBRARY_PATH=/lib ./AdobeAIRInstaller.bin
в логах вижу следующее
[setup:19044][INFO] Runtime Installer begin with version 2.6.0.19170 on Linux x86
[setup:19044][INFO] Commandline is: 
[setup:19044][INFO] No installed runtime detected
[setup:19044][INFO] Runtime Installer end with exit code 6
[setup:19078][INFO] Runtime Installer begin with version 2.6.0.19170 on Linux x86
[setup:19078][INFO] Commandline is: 
[setup:19078][INFO] No installed runtime detected
[setup:19078][INFO] Relaunching with elevation
[setup:19078][INFO] Launching subprocess with commandline /tmp/air.cNjfXy/setup -ei
[setup:19096][INFO] Runtime Installer begin with version 2.6.0.19170 on Linux x86
[setup:19096][INFO] Commandline is: -stdio /tmp/air.Ad7g7M/channel -ei
[setup:19096][INFO] No installed runtime detected
[setup:19096][INFO] Starting silent runtime install. Installing runtime version 2.6.0.19170
[setup:19096][INFO] Session detected: GNOME
[setup:19096][INFO] Installing package at /tmp/air.cNjfXy/setup.deb
[setup:19096][ERR] Error occurred during rpm install operation; beginning rollback: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: 	пакет adobeair-2.6.0-19170.pentium3 предназначен для архитектуры different" errorID=1]
[setup:19096][INFO] Rollback complete
[setup:19096][ERR] Exiting due to error: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: 	пакет adobeair-2.6.0-19170.pentium3 предназначен для архитектуры different" errorID=1]
[setup:19096][ERR] Runtime Installer end with exit code 7
[setup:19078][ERR] Exiting due to error: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: 	пакет adobeair-2.6.0-19170.pentium3 предназначен для архитектуры different" errorID=1]
[setup:19078][ERR] Runtime Installer end with exit code 7

О каком пентиуме 3 идет речь? Что за архетиктура different?

Если запускать без

LD_LIBRARY_PATH=/lib
то в логах вижу следующее


[setup:19274][INFO] Runtime Installer begin with version 2.6.0.19170 on Linux x86
[setup:19274][INFO] Commandline is: 
[setup:19274][INFO] No installed runtime detected
[setup:19274][INFO] Relaunching with elevation
[setup:19274][INFO] Launching subprocess with commandline /tmp/air.E81utx/setup -ei
[setup:19292][INFO] Runtime Installer begin with version 2.6.0.19170 on Linux x86
[setup:19292][INFO] Commandline is: -stdio /tmp/air.okCuQd/channel -ei
[setup:19292][INFO] No installed runtime detected
[setup:19292][INFO] Starting silent runtime install. Installing runtime version 2.6.0.19170
[setup:19292][INFO] Session detected: GNOME
[setup:19292][ERR] Error occurred during rpm create operation; beginning rollback: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text="/tmp/air.E81utx/build/opt/Adobe AIR/Versions/1.0/Resources/rpmbuilder error : symbol not found: parseSpec, /lib/librpmbuild.so: undefined symbol: parseSpec error : + umask 022;+ cd /tmp/air.E81utx/build;+ exit 0;+ umask 022;+ cd /tmp/air.E81utx/build;+ '[' /tmp/air.E81utx/build '!=' / ']';+ rm -rf /tmp/air.E81utx/build;++ dirname /tmp/air.E81utx/build;+ mkdir -p /tmp/air.E81utx;+ mkdir /tmp/air.E81utx/build;+ true;ошибка: Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml;    Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml" errorID=1]
[setup:19292][INFO] Rollback complete
[setup:19292][ERR] Exiting due to error: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text="/tmp/air.E81utx/build/opt/Adobe AIR/Versions/1.0/Resources/rpmbuilder error : symbol not found: parseSpec, /lib/librpmbuild.so: undefined symbol: parseSpec error : + umask 022;+ cd /tmp/air.E81utx/build;+ exit 0;+ umask 022;+ cd /tmp/air.E81utx/build;+ '[' /tmp/air.E81utx/build '!=' / ']';+ rm -rf /tmp/air.E81utx/build;++ dirname /tmp/air.E81utx/build;+ mkdir -p /tmp/air.E81utx;+ mkdir /tmp/air.E81utx/build;+ true;ошибка: Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml;    Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml" errorID=1]
[setup:19292][ERR] Runtime Installer end with exit code 7
[setup:19274][ERR] Exiting due to error: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text="/tmp/air.E81utx/build/opt/Adobe AIR/Versions/1.0/Resources/rpmbuilder error : symbol not found: parseSpec, /lib/librpmbuild.so: undefined symbol: parseSpec error : + umask 022;+ cd /tmp/air.E81utx/build;+ exit 0;+ umask 022;+ cd /tmp/air.E81utx/build;+ '[' /tmp/air.E81utx/build '!=' / ']';+ rm -rf /tmp/air.E81utx/build;++ dirname /tmp/air.E81utx/build;+ mkdir -p /tmp/air.E81utx;+ mkdir /tmp/air.E81utx/build;+ true;ошибка: Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;ошибка: Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;ошибка: Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml;    Файл не найден: /tmp/air.E81utx/build/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR;    Файл не найден: /tmp/air.E81utx/build/var/opt/Adobe AIR/Shared/Adobe/AIR/Updater;    Файл не найден: /tmp/air.E81utx/build/etc/opt/Adobe/certificates/AIR/crypt/config.xml" errorID=1]
[setup:19274][ERR] Runtime Installer end with exit code 7

Ответ на: комментарий от erzent

Либо Вы что-то путаете, либо я как-то не так гуглю, ибо в репозиториях от adobe adobe air уже очень давно нет. А других я не нашел. Не подскажите адреса 4 репозиториев о которых Вы говорите?

Omny ()
Ответ на: комментарий от erzent

Вот я так уже и думал, но, как говорится, надежда умерает последней. Народ извращается как может на забугорных форумах, ставят 19ую федору, на нее адоб аир, и обновляют дистр до 20го. Пишут - работает.

Omny ()
Ответ на: комментарий от Omny

попробовал у себя, он ругается на то что не может собрать rpm пакет, попробуй:

yum install @RPM\ Development\ Tools @Development\ Tools

и не пробовал просто распаковать этот бинарь и раскидать его руками по системе?

spichka ★★★ ()
Ответ на: комментарий от spichka

почитал я про это, смысла мало, та версия, что есть в rpm уже 4 летней давности, она ему не подойдёт, ему больше смысла под wine свежую поставить.

erzent ☆☆ ()
Ответ на: комментарий от spichka

У меня эти пакеты установлены.

Смерился с идеей использования под wine. Всем спасибо за помощь.

Omny ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.